/* Media queries for different screen sizes */

/* Styles for screens with max-width of 1120px */
@media (max-width: 1120px) {}

/* Styles for screens with max-width of 992px */
@media (max-width: 992px) {
    .welcome_detail {
        width: 100%;
    }
    .slider_section .slider_box .slider-detail {
        margin-top: 160px;
    }

    .service_img-container .service_img-box.i-box-1,
    .service_img-container .service_img-box.i-box-2,
    .service_img-container .service_img-box.i-box-3,
    .service_img-container .service_img-box.i-box-4 {
        width: 100%;
    }

    .contact_form-container .contact_box {
        width: 75%;
    }

    .contact_form-container form input,
    .contact_form-container form input:focus,
    .contact_form-container form input:active {
        width: 100%;
    }

    .service_img-container .service_img-box {
        margin-top: 35px;
    }

    .info_section .news_container .social_container {
        width: 100%;
    }

    .owl-carousel .owl-nav,
    .owl-carousel .owl-nav.disabled {
        display: flex;
        position: absolute;
        top: 110%;
        transform: translate(-50%);
        justify-content: space-between;
        width: 40%;
        z-index: 0;
        left: 50%;
    }

    .logo_box {
        position: absolute;
        bottom: -80px;
        width: 80px;
        height: auto;
        object-fit: contain;
        z-index: 1001;
        transform: translateY(-50%);
    }

    #navbarSupportedContent {
        display: none;
    }

    #navbarSupportedContent.show {
        display: block;
        position: absolute;
        top: 100%;
        right: 0;
        width: 200px;
        background-color: #000000;
        box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
        z-index: 1000;

    }

    #navbarSupportedContent .navbar-nav {
        margin: 0;
        padding: 10px;
    }

    #navbarSupportedContent .nav-item {
        width: 100%;
    }

    #navbarSupportedContent .nav-link {
        padding: 8px 15px;
        text-align: right;
    }


    .navbar-toggler img  {
        width: 30px;
        margin-left: -25px;
    }

    #navbarSupportedContent {
        display: none;

    }

    #navbarSupportedContent.show {
        display: block;
        position: absolute;
        top: 100%;
        right: 0;
        width: 100%;
        max-width: 900px;
        background-color: #000000;
        box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
        z-index: 1000;

    }

    #navbarSupportedContent .navbar-nav {
        margin: 0;
        padding: 10px;


    }

    #navbarSupportedContent .nav-item {
        width: 100%;
    }

    #navbarSupportedContent .nav-link {
        padding: 8px 15px;
        text-align: right;
    }

    .header_section .container {
        justify-content: center;
        width: 100%;
        max-width: 100%;
        padding: 0;
        margin: 0;
    }
}


/* Styles for screens with max-width of 768px */
@media (max-width: 862px) {
    .welcome_detail {
        margin-top: 25px;
    }

    .story_detail {
        margin-top: 25px;
    }

    .contact_form-container form input,
    .contact_form-container form input:focus,
    .contact_form-container form input:active {
        width: 85%;
    }
    .slider_section .slider_box .slider-detail {
        margin-top: 180px;
    }
    .service_section .container {
        padding: 0;
    }

    .col-md-4.address_container,
    .col-md-4.news_container {
        margin-top: 25px;
    }

    .contact_section .row .col-md-6 {
        padding: 0;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .logo_box {
        position: absolute;
        bottom: -75px;
        width: 70px;
        height: auto;
        object-fit: contain;
        z-index: 1001;
        transform: translateY(-50%);
    }

    #navbarSupportedContent {
        display: none;
    }

    #navbarSupportedContent.show {
        display: block;
        position: absolute;
        top: 100%;
        right: 0;
        width: 200px;
        background-color: #000000;
        box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
        z-index: 1000;

    }

    #navbarSupportedContent .navbar-nav {
        margin: 0;
        padding: 10px;
    }

    #navbarSupportedContent .nav-item {
        width: 100%;
    }

    #navbarSupportedContent .nav-link {
        padding: 8px 15px;
        text-align: right;
    }


    .navbar-toggler img  {
        width: 30px;
        margin-left: -25px;
    }

    #navbarSupportedContent {
        display: none;

    }

    #navbarSupportedContent.show {
        display: block;
        position: absolute;
        top: 100%;
        right: 0;
        width: 100%;
        max-width: 800px;
        background-color: #000000;
        box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
        z-index: 1000;

    }

    #navbarSupportedContent .navbar-nav {
        margin: 0;
        padding: 10px;


    }

    #navbarSupportedContent .nav-item {
        width: 100%;
    }

    #navbarSupportedContent .nav-link {
        padding: 8px 15px;
        text-align: right;
    }

    .header_section .container {
        justify-content: center;
        width: 100%;
        max-width: 100%;
        padding: 0;
        margin: 0;
    }

}

/* Styles for screens with max-width of 576px */
@media (max-width: 576px) {
    .slider_section .slider_box .slider-detail .slider_detail-text {
        width: 85%;
    }

    .slider_section .slider_box .slider-detail {
        margin-top: 200px;
    }

    .service_section .container {
        width: 90%;
    }

    .slider_section .carousel-indicators {
        top: 95%;
        left: 25%;
        display: flex;
        justify-content: space-between;
        width: 100px;
        align-items: center;
    }

    .owl-carousel .owl-nav,
    .owl-carousel .owl-nav.disabled {
        width: 75%;
    }

    .contact_form-container .contact_box {
        width: 85%;
        padding: 35px 35px;
        margin: 100px 25px;
    }

    .contact_form-container form input,
    .contact_form-container form input:focus,
    .contact_form-container form input:active {
        width: 100%;
    }

    .info_section .news_container form input {
        width: 90%;
    }

    .logo_box {
        position: absolute;
        bottom: -75px;

        width: 70px;
        height: auto;
        object-fit: contain;
        z-index: 1001;
        transform: translateY(-50%);
        left: 40px;
    }
    .navbar-toggler img  {
        width: 30px;
    }

    #navbarSupportedContent {
        display: none;

    }

    #navbarSupportedContent.show {
        display: block;
        position: absolute;
        top: 100%;
        right: 0;
        width: 100%;
        max-width: 600px;
        background-color: #000000;
        box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
        z-index: 1000;

    }

    #navbarSupportedContent .navbar-nav {
        margin: 0;
        padding: 10px;


    }

    #navbarSupportedContent .nav-item {
        width: 100%;
    }

    #navbarSupportedContent .nav-link {
        padding: 8px 15px;
        text-align: right;
    }

    .header_section .container {
        justify-content: center;
        width: 100%;
        max-width: 100%;
        padding: 0;
        margin: 0;
    }



}

/* Ensure the navbar-brand (logo) remains visible and doesn’t overlap */
@media (max-width: 576px) {
    .navbar-brand {
        margin-right: 0;
    }
}

/* Styles for screens with max-width of 480px */
@media (max-width: 480px) {
    .service_section .service_img-container .service_img-box {
        min-width: 275px;
        height: 250px;
    }
}